.app.pf1.item-selector {
  min-width: 300px;

  form {
    display: flex;
    flex-flow: column;
    overflow: hidden;

    .item-list {
      max-height: 600px;
      overflow: hidden scroll;
      .scrollbar();

      list-style: none;
      margin: 0;
      padding: 0;

      display: flex;
      flex-flow: column nowrap;

      gap: 1px;

      > .item {
        > label {
          display: flex;
          flex-flow: row nowrap;
          align-items: center;
          gap: 0.3em;
        }

        &.selected {
          background-color: rgba(0, 0, 0, 0.1);
        }

        h3 {
          margin: 0;
          padding: 0;
        }

        .image {
          flex: 0 64px;
          width: 64px;
          height: 64px;
        }

        .details {
          flex: 1;
          display: flex;
          flex-flow: column nowrap;
          overflow: hidden;

          .item-name {
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: nowrap;
          }
        }

        input {
          display: none;

          &:checked ~ .details .item-name {
            font-weight: bold;
          }
        }
      }
    }
  }
}
